<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use DB;
include_once('Xmsdk/autoload.php');
use xmpush\Builder;
use xmpush\Constants;
use xmpush\Sender;
class PushxmController extends Controller
{
    public function push($token,$title){
        $secret = '2UXRw70r9q612wP21JGVeg==';
		$package = 'com.lczp.fastpower';
		if($title=='新订单'){
            $letter='xindingdan';
            $description='您有新的订单';
        }else if($title=='夜间订单'){
            $letter='yejiandingdan';
            $description='您有新的夜间订单';
        }else if($title=='加急订单'){
            $letter='jiajidingdan';
            $description='您有新的加急订单';
        }else if($title=='催单了'){
            $letter='cuidingla';
            $description='平台催单了请及时处理';
        }else if($title=='异常登录'){
            $letter='yichangdenglu';
            $description='异常登录';
        }
		// 常量设置必须在new Sender()方法之前调用
		Constants::setPackage($package);
		Constants::setSecret($secret);

		$sender = new Sender();
		//$payload = '{"test":1,"ok":"It\'s a string","key1":"xindingdan"}';

		// message1 演示自定义的点击行为
		$message = new Builder();
		$message->title($title);  // 通知栏的title
		$message->description($description); // 通知栏的description
		$message->passThrough(0);  // 这是一条通知栏消息，如果需要透传，把这个参数设置成1,同时去掉title和descption两个参数
		//$message->payload($payload); // 携带的数据，点击后将会通过客户端的receiver中的onReceiveMessage方法传入。
		$message->extra(Builder::notifyForeground, 1); // 应用在前台是否展示通知，如果不希望应用在前台时候弹出通知，则设置这个参数为0
		$message->extra('key1', $letter);
		//$message->extra('key2', 'xindingdan1');
		$message->notifyId(2); // 通知类型。同样的类型的通知会互相覆盖，不同类型可以在通知栏并存
		$message->build();
		$sender->send($message, $token)->getRaw();
		// 打印返回结果
		//print_r($sender->send($message, $token)->getRaw());
    }
    public function push_post(Request $request){
	    $input = $request->only('token', 'title');
	    $token=$input['token'];
	    $title=$input['title'];
        $secret = '2UXRw70r9q612wP21JGVeg==';
		$package = 'com.lczp.fastpower';
		if($title=='新订单'){
            $letter='xindingdan';
            $description='您有新的订单';
        }else if($title=='夜间订单'){
            $letter='yejiandingdan';
            $description='您有新的夜间订单';
        }else if($title=='加急订单'){
            $letter='jiajidingdan';
            $description='您有新的加急订单';
        }else if($title=='催单了'){
            $letter='cuidingla';
            $description='平台催单了请及时处理';
        }else if($title=='异常登录'){
            $letter='yichangdenglu';
            $description='异常登录';
        }
		// 常量设置必须在new Sender()方法之前调用
		Constants::setPackage($package);
		Constants::setSecret($secret);

		$sender = new Sender();
		//$payload = '{"test":1,"ok":"It\'s a string","key1":"xindingdan"}';

		// message1 演示自定义的点击行为
		$message = new Builder();
		$message->title($title);  // 通知栏的title
		$message->description($description); // 通知栏的description
		$message->passThrough(0);  // 这是一条通知栏消息，如果需要透传，把这个参数设置成1,同时去掉title和descption两个参数
		//$message->payload($payload); // 携带的数据，点击后将会通过客户端的receiver中的onReceiveMessage方法传入。
		$message->extra(Builder::notifyForeground, 1); // 应用在前台是否展示通知，如果不希望应用在前台时候弹出通知，则设置这个参数为0
		$message->extra('key1', $letter);
		//$message->extra('key2', 'xindingdan1');
		$message->notifyId(2); // 通知类型。同样的类型的通知会互相覆盖，不同类型可以在通知栏并存
		$message->build();
		return $sender->send($message, $token)->getRaw();
		// 打印返回结果
		//print_r($sender->send($message, $token)->getRaw());
    }
}
